LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XConstantsTypeDescription Interface Referencepublished

Reflects a constants group. More...

`import"XConstantsTypeDescription.idl";`

Inheritance diagram for XConstantsTypeDescription:

## Public Member Functions
sequence< XConstantTypeDescription > | getConstants ()
| Returns the constants defined for this constants group. More...
Public Member Functions inherited from XTypeDescription
com::sun::star::uno::TypeClass | getTypeClass ()
| Returns the type class of the reflected UNOIDL entity. More...
string | getName ()
| Returns the fully qualified name of the UNOIDL entity. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Reflects a constants group.

The type class of this type is com::sun::star::uno::TypeClass::CONSTANTS.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getConstants()

sequence< XConstantTypeDescription > getConstants | ( |  | ) |

Returns the constants defined for this constants group.

Returns
  a sequence containing constants descriptions.

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XConstantsTypeDescription.idl